Subject: Re: bug#43243: emacs-elfeed-org, mapc: Symbol’sfunction definition is void

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 29 Sep 2020 09:47:49 -0400

Hello!

Giovanni Biscuolo <[email-masked]> writes:

> Hello Maxim,
>
> thank you for your help
>
> Maxim Cournoyer <[email-masked]> writes:
>
> [...]
>
>> I tried to reproduce this using the following environment:
>>
>> --8<---------------cut here---------------start------------->8---
>> guix environment --pure --ad-hoc emacs emacs-elfeed
>> --8<---------------cut here---------------end--------------->8---
>>
>> Then launching emacs with 'emacs -q', and running elfeed with M-x
>> elfeed, and couldn't reproduce the problem.
>
> The problem is with emacs-elfeed-org, not emacs-elfeed :-)

Ah!  I need glasses :-)

Retrying with emacs-elfeed-org, I also can't reproduce:

--8<---------------cut here---------------start------------->8---
$ guix environment --pure --ad-hoc emacs emacs-elfeed-org -- emacs --batch --eval='(elfeed)'
Loading /gnu/store/6yx7654rwm0bxmi99dyp5ddgll72k2kw-profile/share/emacs/site-lisp/dash-autoloads...
Loading /gnu/store/6yx7654rwm0bxmi99dyp5ddgll72k2kw-profile/share/emacs/site-lisp/elfeed-autoloads...
Loading /gnu/store/6yx7654rwm0bxmi99dyp5ddgll72k2kw-profile/share/emacs/site-lisp/elfeed-org-autoloads...
Loading /gnu/store/6yx7654rwm0bxmi99dyp5ddgll72k2kw-profile/share/emacs/site-lisp/org-autoloads...
Loading /gnu/store/6yx7654rwm0bxmi99dyp5ddgll72k2kw-profile/share/emacs/site-lisp/s-autoloads...
--8<---------------cut here---------------end--------------->8---

Can you try to reproduce it again?  Perhaps there's some other Emacs
package in your profile which somehow conflicts with it?

Thanks,

Maxim